import 'package:flutter/material.dart';
import 'package:google_applovin_unity_ads/google_applovin_unity_ads.dart';
import 'package:google_applovin_unity_ads/native/controller.dart';

showIntraAds({Function? callback = null}) async {
  if (1 == 0) {
    if (callback != null) {
      callback();
    }
  } else {
    GoogleApplovinUnityAds.showIntraAds(callback: callback);
  }
}

Future<void> showRewardAds({Function? callback}) async {
  if (1 == 2) {
    if (callback != null) {
      callback();
    }
  } else {
    GoogleApplovinUnityAds.showRewardAds(callback: callback);
  }
}

bannerAds() {
  return GoogleApplovinUnityAds.bannerAds();
}

fullNativeAds() {
  return GoogleApplovinUnityAds.nativeAds(
      NativeSize(Size(double.infinity, 500)), "F",
      button_background_color: "#151ca1",
      boxBordercolor: Colors.black,
      error: Container(
        height: 0,
      ));
}

mediumNativeAds() {
  return GoogleApplovinUnityAds.nativeAds(
      NativeSize(Size(double.infinity, 210)), "M",
      boxBordercolor: Colors.black, button_background_color: "#151ca1");
}

showOpenAd() {
  GoogleApplovinUnityAds.showOpenAds();
}

smallNativeAds() {
  return GoogleApplovinUnityAds.nativeAds(
      NativeSize(Size(double.infinity, 60)), "S");
}
